Package ru.bitel.bgbilling.modules.inet.server.bean

# Class InetAuthErrorDao

java.lang.Object
ru.bitel.bgbilling.modules.inet.server.bean.InetAuthErrorDao

All Implemented Interfaces:
  `ru.bitel.common.worker.Recyclable`

    public class InetAuthErrorDao
    extends java.lang.Object
    implements ru.bitel.common.worker.Recyclable

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `InetAuthErrorDao​(ConnectionSet connectionSet, int mid, java.util.Date date)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addError​(InetAuthError error)` |
  `void` | `addError​(InetAuthError error, boolean update)` |
  `void` | `addError​(InetAuthError error, ConnectionLogEntry logEntry, boolean update)` |
  `Result<InetAuthError>` | `errorList​(java.util.Date timeFrom, java.util.Date timeTo, java.util.Set<java.lang.Integer> deviceIds, java.util.Set<java.lang.Integer> contractIds, java.util.Set<java.lang.Integer> serviceIds, java.lang.String contract, java.lang.String login, Page page)` |
  `void` | `recycle()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InetAuthErrorDao

    public InetAuthErrorDao​(ConnectionSet connectionSet, int mid, java.util.Date date)

- ## Method Details

  - ### addError

    public void addError​(InetAuthError error) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### recycle

    public void recycle()
    Specified by:
      `recycle` in interface `ru.bitel.common.worker.Recyclable`

  - ### addError

    public void addError​(InetAuthError error, boolean update) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### addError

    public void addError​(InetAuthError error, ConnectionLogEntry logEntry, boolean update) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### errorList

    public Result<InetAuthError> errorList​(java.util.Date timeFrom, java.util.Date timeTo, java.util.Set<java.lang.Integer> deviceIds, java.util.Set<java.lang.Integer> contractIds, java.util.Set<java.lang.Integer> serviceIds, java.lang.String contract, java.lang.String login, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`